Skip to main content
GET
/
unstable
/
wallets
/
{walletLocator}
/
transfers
Get Wallet Activity (Unstable)
curl --request GET \
  --url https://staging.crossmint.com/api/unstable/wallets/{walletLocator}/transfers \
  --header 'X-API-KEY: <x-api-key>'
import requests

url = "https://staging.crossmint.com/api/unstable/wallets/{walletLocator}/transfers"

headers = {"X-API-KEY": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};

fetch('https://staging.crossmint.com/api/unstable/wallets/{walletLocator}/transfers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "sender": {
        "address": "0x1234567890123456789012345678901234567890",
        "chain": "ethereum",
        "locator": "ethereum:0x1234567890123456789012345678901234567890",
        "owner": "user-123"
      },
      "recipient": {
        "address": "0x1234567890123456789012345678901234567890",
        "chain": "ethereum",
        "locator": "ethereum:0x1234567890123456789012345678901234567890",
        "owner": "user-123"
      },
      "token": {
        "type": "fungible",
        "chain": "ethereum",
        "locator": "ethereum:0x123",
        "amount": "18.833423432423",
        "rawAmount": "18834161225104097789",
        "contractAddress": "0x123",
        "decimals": 6
      },
      "status": "succeeded",
      "completedAt": "2025-10-21T12:34:56.789Z",
      "onChain": {
        "txId": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
        "explorerLink": "https://etherscan.io/tx/0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
      },
      "type": "wallets.transfer.in",
      "transferId": "93fd7f08-0c63-4d73-808b-6268e665c964"
    }
  ],
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
{
  "error": true,
  "message": "<error message>"
}
This is an unstable API that may change without notice. The unstable prefix indicates that breaking changes may occur in future releases.

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<chainType>[:<walletType>][:alias:<alias>] (walletType defaults to 'smart')
  • userId:<userId>:<chainType>[:<walletType>][:alias:<alias>] (white label user example)
  • phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]
  • twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • x:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • me:<chainType>[:<walletType>][:alias:<alias>] (Use when calling from the client side with a client API key)
  • chainType[:<walletType>]:alias:<alias>

Query Parameters

cursor
string
limit
string
sort
enum<string>
default:desc
Available options:
asc,
desc
chain
enum<string>
required

The blockchain network to query. Either an EVM chain, Solana, or Stellar.

Available options:
arbitrum-sepolia,
arc-testnet,
avalanche-fuji,
curtis,
base-goerli,
base-sepolia,
bsc-testnet,
chiliz-spicy-testnet,
coti-testnet,
ethereum-goerli,
ethereum-sepolia,
hedera-testnet,
hypersonic-testnet,
lightlink-pegasus,
mantle-sepolia,
optimism-goerli,
optimism-sepolia,
polygon-amoy,
polygon-mumbai,
crossmint-private-testnet-ethereum,
crossmint-private-testnet-polygon,
rari-testnet,
scroll-sepolia,
sei-atlantic-2-testnet,
shape-sepolia,
skale-nebula-testnet,
soneium-minato-testnet,
space-testnet,
story-testnet,
verify-testnet,
viction-testnet,
xai-sepolia-testnet,
zkatana,
zkyoto,
zora-goerli,
zora-sepolia,
mode-sepolia,
u2u-nebulas,
zenchain-testnet,
abstract-testnet,
world-chain-sepolia,
plume-testnet,
flow-testnet,
tempo-testnet,
ethereum,
polygon,
bsc,
optimism,
arbitrum,
base,
zora,
arbitrumnova,
astar-zkevm,
apechain,
hedera,
coti,
lightlink,
mantle,
skale-nebula,
sei-pacific-1,
chiliz,
avalanche,
xai,
shape,
rari,
scroll,
viction,
mode,
space,
soneium,
story,
u2u-solaris,
abstract,
world-chain,
plume,
flow,
tempo,
solana,
stellar
tokens
string
required

The tokens to query. Comma-separated list of either tokens or token locator strings

status
enum<string>
required

The status of the transfers to query

Available options:
successful,
failed
fromDate
string<date-time>

Filter transfers from this date (inclusive). ISO 8601 format. Supported for EVM and Stellar chains.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
toDate
string<date-time>

Filter transfers until this date (inclusive). ISO 8601 format. Supported for EVM and Stellar chains.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

The wallet activity has been successfully retrieved.

data
object[]
required

Incoming wallet transfer event

nextCursor
string
previousCursor
string